import { OnInit, AfterViewInit, OnDestroy, ElementRef } from '@angular/core';
import { ChartsService } from './charts.service';
import { SpinnerService } from '../spinners';
import * as i0 from "@angular/core";
declare type State = 'PENDING' | 'DATA' | 'EMPTY';
export declare class ChartsComponentClass implements AfterViewInit, OnDestroy, OnInit {
    private chartsService;
    private spinner;
    chartsElement: ElementRef;
    chartsIframeElement: ElementRef;
    private newDataSubscription;
    private data;
    private readonly highchart;
    private chartInstance;
    chart: string;
    private state;
    private chartsIframeElementSubscription;
    charts: any;
    setupNameProperty: string;
    constructor(chartsService: ChartsService, spinner: SpinnerService);
    checkData(charts: any): State;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    setData(data: any): void;
    setupChart(): void;
    switchChart(chart: string): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartsComponentClass, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartsComponentClass, "epom-charts", never, { "charts": "chartsSections"; "setupNameProperty": "setupNameProperty"; }, {}, never, never, false>;
}
export {};
